package com.realnet.basic.Services;
import com.realnet.basic.Repository.JournalRepository;
import com.realnet.basic.Entity.Journal
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;






	import org.springframework.stereotype.Service;

@Service
 public class JournalService {
@Autowired
private JournalRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;





public Journal Savedata(Journal data) {






	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Journal save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Journal> getAllWithPagination(Pageable page) {
		return Repository.findAll(page, getUser().getUserId());
	}			
public List<Journal> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Journal> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Journal getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Journal update(Journal data,Integer id) {
	Journal old = Repository.findById(id).get();
old.setTitle(data.getTitle());

old.setDescription(data.getDescription());

old.setDatetime_field(data.getDatetime_field());

final Journal test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 






 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
